
use 数据.dta, clear
xtset id year

tabstat LS Cir Public Rgdp Gov City Open Edu Str Tech ,s(N mean sd min max) f(%12.3f) c(s)

* 基准回归
xtscc LS Cir i.year,fe 
xtscc LS Cir Rgdp Rgdp2 Gov City Open Edu Str Tech i.year,fe

* 门槛检验
xthreg LS Rgdp Rgdp2 Gov City Open Edu Str Tech, rx(Cir) qx(Public) thnum(1) grid(400) trim(0.01) bs(500)
xthreg LS Rgdp Rgdp2 Gov City Open Edu Str Tech, rx(Cir) qx(Public) thnum(2) trim(0.01 0.01) grid(400) bs(500 500)

* 门槛回归
xtscc LS ymk1 ymk2 i.year,fe 
xtscc LS ymk1 ymk2 Rgdp Rgdp2 Gov City Open Edu Str Tech i.year,fe 

* 政府干预程度较低
xthreg LS Rgdp Rgdp2 Gov City Open Edu Str Tech if ganyu==1, rx(Cir) qx(Public) thnum(1) grid(400) trim(0.01) bs(500)
xthreg LS Rgdp Rgdp2 Gov City Open Edu Str Tech if ganyu==1, rx(Cir) qx(Public) thnum(2) trim(0.01 0.01) grid(400) bs(500 500)

xtscc LS Cir Rgdp Rgdp2 Gov City Open Edu Str Tech i.year if ganyu==1,fe 
xtscc LS ymk1l ymk2l Rgdp Rgdp2 Gov City Open Edu Str Tech i.year if ganyu==1,fe 

* 政府干预程度较高
xthreg LS Rgdp Rgdp2 Gov City Open Edu Str Tech if ganyu==0, rx(Cir) qx(Public) thnum(1) grid(400) trim(0.01) bs(500)
xthreg LS Rgdp Rgdp2 Gov City Open Edu Str Tech if ganyu==0, rx(Cir) qx(Public) thnum(2) trim(0.01 0.01) grid(400) bs(500 500)

xtscc LS Cir Rgdp Rgdp2 Gov City Open Edu Str Tech i.year if ganyu==0,fe 
xtscc LS ymk1h ymk2h Rgdp Rgdp2 Gov City Open Edu Str Tech i.year if ganyu==0,fe 

* 互联网发展水平较低
xthreg LS Rgdp Rgdp2 Gov City Open Edu Str Tech if web==0, rx(Cir) qx(Public) thnum(1) grid(400) trim(0.01) bs(500)
xthreg LS Rgdp Rgdp2 Gov City Open Edu Str Tech if web==0, rx(Cir) qx(Public) thnum(2) trim(0.01 0.01) grid(400) bs(500 500)
xthreg LS Rgdp Rgdp2 Gov City Open Edu Str Tech if web==0, rx(Cir) qx(Public) thnum(3) trim(0.01 0.01 0.01) grid(400) bs(500 500 500)

xtscc LS Cir Rgdp Rgdp2 Gov City Open Edu Str Tech i.year if web==0,fe 
xtscc LS webymk1 webymk2 webymk3 Rgdp Rgdp2 Gov City Open Edu Str Tech i.year if web==0,fe 

* 互联网发展水平较高
xthreg LS Rgdp Rgdp2 Gov City Open Edu Str Tech if web==1, rx(Cir) qx(Public) thnum(1) grid(400) trim(0.01) bs(500)
xthreg LS Rgdp Rgdp2 Gov City Open Edu Str Tech if web==1, rx(Cir) qx(Public) thnum(2) trim(0.01 0.01) grid(400) bs(500 500)

xtscc LS Cir Rgdp Rgdp2 Gov City Open Edu Str Tech i.year if web==1,fe 



